List App route candidates
curl --request GET \
--url https://app.promptingco.com/api/v1/apps/{appId}/route-candidates \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.promptingco.com/api/v1/apps/{appId}/route-candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/apps/{appId}/route-candidates"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"data": {
"appId": "<string>",
"candidateCount": 1,
"candidates": [
{
"targetType": "product_document",
"targetId": "<string>",
"suggestedPath": "<string>",
"pathStatus": "already_routed",
"existingRoute": {
"id": "<string>",
"path": "<string>"
},
"pathConflict": {
"id": "<string>",
"path": "<string>",
"targetType": "<string>",
"targetId": "<string>"
},
"target": {
"id": "<string>",
"title": "<string>",
"filePath": "<string>",
"sourceUrl": "<string>",
"status": "<string>",
"type": "<string>",
"redirectToUrl": "<string>",
"productId": "<string>"
},
"product": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
}
]
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Apps & Publishing
List App route candidates
GET
/
api
/
v1
/
apps
/
{appId}
/
route-candidates
List App route candidates
curl --request GET \
--url https://app.promptingco.com/api/v1/apps/{appId}/route-candidates \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.promptingco.com/api/v1/apps/{appId}/route-candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/apps/{appId}/route-candidates"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"data": {
"appId": "<string>",
"candidateCount": 1,
"candidates": [
{
"targetType": "product_document",
"targetId": "<string>",
"suggestedPath": "<string>",
"pathStatus": "already_routed",
"existingRoute": {
"id": "<string>",
"path": "<string>"
},
"pathConflict": {
"id": "<string>",
"path": "<string>",
"targetType": "<string>",
"targetId": "<string>"
},
"target": {
"id": "<string>",
"title": "<string>",
"filePath": "<string>",
"sourceUrl": "<string>",
"status": "<string>",
"type": "<string>",
"redirectToUrl": "<string>",
"productId": "<string>"
},
"product": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
}
]
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
apiKeyAuthbearerAuthcookieAuth
Organization-scoped API key. Available scopes:
- content:read: Read site pages, markdown content, and llms.txt files
- content:write: Create, update, and delete site pages and content
- prompts:read: Read prompts, topics, prompt suggestions, and prompt analysis results
- prompts:write: Create, update, archive prompts and generate, edit, or review prompt suggestions
- simulations:read: Read agent-simulation tasks, runs, environments, and analytics
- simulations:write: Create and trigger simulation runs
- logs:read: Read AI-traffic logs and request-level audit events
- analytics:read: Read analytics aggregates (rankings, mentions, sources, SOV)
- analytics:write: Write events to analytics
- products:read: Read product metadata and competitor data
- products:write: Update product settings and competitor lists
Path Parameters
Minimum string length:
1Query Parameters
Minimum string length:
1Available options:
draft, published